package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleDEFields;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldsSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleDEFields] 服务对象接口
 */
public interface UserRoleDEFieldsService extends IService<UserRoleDEFields>{

	boolean getDraft(UserRoleDEFields et);
	boolean update(UserRoleDEFields et);
	boolean remove(UserRoleDEFields et);
		UserRoleDEFields get(UserRoleDEFields et);
	boolean create(UserRoleDEFields et);
	boolean checkKey(UserRoleDEFields et);
    List<UserRoleDEFields> listDefault(UserRoleDEFieldsSearchFilter filter) ;
	Page<UserRoleDEFields> searchDefault(UserRoleDEFieldsSearchFilter filter);
	/**	 实体[UserRoleDEFields] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }